HISTORY.TXT--
Change Log File for DOSZIP
==========================

Changes in 2.44 - 31 Dec 2012
- fixed bug in Edit - memory leak -- hard error
- set maximum open files to 100
- optimized for use with DZEMM

Changes in 2.43 - 12 Dec 2012
- fixed bug in Panel Read - file object not deleted -- memory leak
- fixed bug in Syntax highlighting (Edit) - stack fault -- hard error
- fixed bug in Auto Indent in Edit (BackSpace) -- hard error
- reduced memory usage for Edit -- open more files

Changes in 2.42 - 10 Dec 2012
- fixed bug in LFN Panel - Read files -- directories skipped (v2.36..41)

Changes in 2.41 - 07 Dec 2012
- fixed bug in Setup -- Editor options
- fixed bug in Make List -- directories: plugins (Add) failed
- added Compress dialog (Alt-F5)
- added Decompress dialog (Alt-F6)

Changes in 2.40 - 28 Nov 2012
- fixed bug in Edit [x] Use .BAK files on save -- didn't work..

Changes in 2.39 - 26 Nov 2012
- added Auto Indent to BackSpace in Edit
- added Use tab character to Edit
- added Tab Size to Edit

Changes in 2.38 - 21 Nov 2012
- fixed bug in Unzip -- recursive error on extracting long paths
- fixed bug in Filter -- wildargs ignored
- fixed bug in Search/Replace (Edit) -- wrong line (-1) returned

Changes in 2.37 - 23 Oct 2012
- fixed bug in Setup

Changes in 2.36 - 22 Oct 2012
- added Window List to Edit (Alt-0)
- added direct access to menus using mouse
- fixed memory leak in editor
- fixed bug in file-IO using short file names
- fixed bug in file-IO using long file names

Changes in 2.35 - 26 Jul 2012
- fixed bug in Delete (selected files)
- fixed bug in Plugins -- didn't work..

Changes in 2.34 - 04 Jul 2012
- fixed bug in Edit -- open selected files (Menus info)
- fixed bug in Edit -- text deleted if controle char inserted (Copy/Cut)
- fixed bug in .ZIP -- Make/Delete directory in archive

Changes in 2.33 - 29 May 2012
- fixed bug in Edit -- memory leak (hard error)
- fixed bug in FindFile -- file names > 260 character
- added Open Session to F9 -- if no open files
- added Continue Search if open file error (no message)
- added Continue Compress if open file error (error message)

Changes in 2.32 - 22 May 2012
- missing switch -zf1 in makefile -- .ZIP functions didn't work..
- missing information in DOSZIP.TXT

Changes in 2.31 - 20 May 2012
- fixed bug in Edit -- eternal loop
- fixed bug in Edit -- memory leak
- fixed bug in Edit -- F6 (Toggle file)
- fixed bug in Edit -- Replace
- fixed bug on reading .INI files
- removed Document from Root directory
- added open files to History -- files reopen on entry
- added Key F7 to Edit -- Save Session
- added Key F8 to Edit -- Load Session
- added Error Message handler to Editor
- added Error Message Pipe -- Creates Error Message file
- added Key Alt-F7 to Edit -- Prev Error
- added Key Alt-F8 to Edit -- Next Error
- added Keys Alt-F1..F6+F9 to Edit -- Same as Shift-F1-F9
- added EMS to Memory dialog

Changes in 2.30 - 14 Apr 2012
- fixed bug in compress - data error in 1 byte files
- fixed bug in compress - error in cancel button (Esc)
- fixed bug in enter subdir on network
- fixed (some) bugs in Editor - Shift-F3: compile
- fixed bug in File Search (mask) - added quotes for "Long file names"
- added Multi Locations to File Search - A: C: "D:\My stuff" ..\sub
- added Location to History file

Changes in 2.29 - 07 Apr 2012
- fixed bug in keyboard - (Yury) Russian letter 224 (0xE0) discarded

Changes in 2.28 - 01 Apr 2012
- fixed bug on adding (overwrite) selected files to .ZIP. This bug will
  potentially destroy existing archive on updating files! (v2.24 - 2.27)
- fixed bug in Tools (Menus) - (v2.24 - 2.27)

Changes in 2.27 - 23 Mar 2012
- fixed bug Unzip (to %TEMP%) -- temporary files not deleted
- fixed bug in external viewer defined in DZ.INI (F3=) -- didn't work
- fixed bug in Move -- Updir (..) was movable
- fixed bug File search -- progress (cosmetic)

Changes in 2.26 - 22 Mar 2012
- fixed bug in Create List -- hard error
- fixed bug in Text View -- error viewing long file names

Changes in 2.25 - 21 Feb 2012
- changed CPU from .186 to .386
- fixed bug in continue search (editor)
- fixed bug on reading Plugin files ([Filetype] -- .TAR files)
- added 1 to line numbers in File Search dialog

Changes in 2.24 - 17 Feb 2012
- fixed memory leak in Unzip
- fixed bug in Unzip -- CRC error message
- fixed bug in File Search -- Hex string (F6)
- fixed bug in Directory Information -- missing info
- fixed bug in (missing) Command line (Alt-F9)
- fixed bug on reading .INI file above 4096 byte
- added line numbers to File Search dialog
- added formated output to File Search dialog (F10)
- added fast reading of large .ZIP files
- added fast decompression of .ZIP files

Changes in 2.23 - 31 Jan 2012
- fixed bugs in Ctrl-Home and Select Disk

Changes in 2.22 - 28 Jan 2012
- fixed bug in File Attributes
- fixed bug in Command line (full panel view)
- fixed bug in Mouse functions (full panel view)
- changed function Select Disk (extra drive B) ?

Changes in 2.21 - 21 Jan 2012
- added root (home) directory to panels
- added directory home/Documents (open files)
- added short key Ctrl-Home to root directory
- added zoom (F12) to panels (full screen view)
- added option Use DOS2 Open/Create to System dialog
- fixed bug in Operation Filter
- fixed bugs in editor (unstable)

Changes in 2.20 - 01 Jan 2012
- fixed bug in redrawing panels
- fixed bug in executing .BAT files
- changed style settings for editor
- added section [Exit] to .INI file
- added option NT Prompt to System dialog
- added section [Comspec] to .INI file
- removed Class view from inline viewer
- removed Binary view from inline viewer
- added zoom (full screen view) to viewer
- changed code to MASM syntax
- added transfer commands to Editor
- renamed DZMAIN.EXE to DZ.DLL
- updated 7-zip plugin
- added Edit files inside .ZIP files
- added multi-open to Editor
- added OW-Compile to Editor (Shift-F3)

Changes in 2.19 - 09 Des 2011
- fixed bug in parsing %environ% value from command line
- fixed bug in Make List
- added plugins for reading archives
- added a small inline editor

Changes in 2.18 - 03 Nov 2011
- fixed bug in Panel options->[x] Clear read only from CD

Changes in 2.17 - 09 Sep 2011
- changed short keys in menus and dialogs

Changes in 2.16 - 28 Aug 2011
- fixed bug in Screen setup - active view page
- fixed bug in Menus - overlap of view page
- added error message on Change directory
- fixed bug in Alt-Left/Right - Panel history
- changed Ctrl-B (User screen) - only use if line size = 80

Changes in 2.15 - 27 Aug 2011
- fixed bug in Filter dialog - Time/Date input
- fixed bug in Setup dialogs - memory
- added section [Load] to DZ.INI

Changes in 2.14 - 26 Jul 2011
- fixed bug in Panel on parsing file-macros

Changes in 2.13 - 25 Jul 2011
- added file-macros for [Filetype], [Edit], and [View]

Changes in 2.12 - 20 Jul 2011
- changed Quick Search function
- changed Memory functions to dynamic allocation
- reduced amount of memory used by DZ.EXE to 1024 byte
- added Memory Information dialog

Changes in 2.11 - 04 May 2011
- fixed bug on reading .ZIP files
- changed Quick Search function

Changes in 2.10 - 04 Apr 2011
- added a CRC error dialog to Unzip

Changes in 2.09 - 28 Feb 2011
- fixed bug in panels: Sort size (Ctrl-Z)
- added Wide view to panels (Alt-W)

Changes in 2.08 - 15 Nov 2010
- fixed bug in Class view Paste (Ctrl-Ins)
- added Copy line to Clipboard in Textview (Mouse-Right)

Changes in 2.07 - 14 Nov 2010
- fixed bug in Class view Load (Ctrl-F3)
- added Class to history file

Changes in 2.06 - 13 Nov 2010
- fixed bug in Panels - Sort directories
- fixed bug on reading [Filetype] from dz.ini
- added Text info to Class view
- added dialog Load Directory (Alt-P)
- added Open/Save dialog for Setup and Text View

Changes in 2.05 - 17 Oct 2010
- fixed bug in File Search (F9)
- fixed bug in Compression dialog (compress level)
- added fast compression to Copy (F4 and Shift-F7)

Changes in 2.04 - 01 Oct 2010
- fixed bug on converting hex strings (2.03+)

Changes in 2.03 - 25 Sep 2010
- fixed bug on hidden command line (Alt-F8/Up/Down)
- fixed bug in Panel Info (Volume Label)
- fixed bug in Clipboard (Paste)
- fixed bug in Text Edit (inserting char at end of line)
- fixed bug in Toggle Egalines (Alt-F9)
- fixed bug in the Resource compiler (RCEDIT.EXE)
- added fast mode switch for EGA+ (Alt-F9)
- added more support for mono board (seg B000h)
- added B/W mono color to Screen Setup (Ctrl-A)
- added support for lines > 80 and line count > 50

Changes in 0.2.02 - 14 Sep 2010
- fixed bug on moving selected files (hard error)
- fixed bug on reading .ZIP files with no End Central Directory (hard error)
- added video init and (some) support for mono board (seg B000h)

Changes in 0.2.01 - 15 Aug 2010
- fixed bug in dialogs - external short keys did not work
- fixed bug in File search - Hex convert (F6), Edit (F4)
- fixed bug in Text view - Class view
- changed Quick search - removed directories from scan
- updated source for MASM/JWASM v2.03
- removed switch /v (verbose)

Changes in 0.2.00 - 02 Aug 2010
- fixed bug in IO-stream
- fixed some bugs in Text View
- added Class viewer to Text View
- added switches to %view% macro
- added Create .ZIP and Create List to Menus

Changes in 0.1.59 - 30 Jul 2010
- fixed bug in Compress (Alt-F5) and Create List File (Ctrl-L)

Changes in 0.1.58 - 29 Jul 2010
- fixed hard error on moving directories (v1.55+)
- fixed bug on adding zero length files to .ZIP archive

Changes in 0.1.57 - 28 Jul 2010
- fixed memory leak in compression functions

Changes in 0.1.56 - 27 Jul 2010
- fixed bug on reading large .ZIP files

Changes in 0.1.55 - 27 Jul 2010
- fixed bug in decryption of .ZIP files (v1.50+)
- fixed bug in Text view - END, UP, PGUP
- fixed bug on converting hex strings
- added Create .ZIP archive (Shift-F7)
- added Copy files to .ZIP archive (F5)
- added Delete files in .ZIP archive (F8)
- added Make directory in .ZIP archive (F7)

Changes in 0.1.54 - 20 May 2010
- fixed bug on Copy/Paste text to command line

Changes in 0.1.53 - 29 Apr 2010
- fixed bug on Enter LongFileName.exe
- fixed bug in Alt-Left/Right
- fixed bug in Text View -- PageUp (Hex view)
- fixed bug in Text View -- PageUp/End (Text view)

Changes in 0.1.52 - 16 Apr 2010
- fixed bug Move Directory (hard error)
- fixed bug directory scan -- confirm continue

Changes in 0.1.51 - 16 Apr 2010
- fixed bug Text View (Hex view)

Changes in 0.1.50 - 04 Apr 2010
- fixed bug in Startup -- Ctrl-C handler not restored on exit
- added key Alt-C -- Toggle Command line
- added key Alt-L -- Create list file from selection set
- added drag and drop files to Command line (Create list)
- added drag and drop files to Key Bar (View/Edit/Copy/Move/Del)
- added Memory Config for write protected media (CD-ROOM)

Changes in 0.1.49 - 01 Mar 2010
- added Ctrl-C handler
- added [Ignore], [Retry], [Terminate], and [Abort] to System Error

Changes in 0.1.48 - 26 Feb 2010
- fixed bug in System Error -- wrong error message

Changes in 0.1.47 - 26 Feb 2010
- fixed bug in System Error - wrong error code returned
- added some support for writing to a DEVICE -- PRN and LPTX

Changes in 0.1.46 - 24 Feb 2010
- fixed bug in Copy - wrong error code returned (CRC error)

Changes in 0.1.45 - 19 Feb 2010
- fixed bug in Read functions -- accepted Volume ID as file

Changes in 0.1.44 - 19 Feb 2010
- fixed bug in Open File function -- file exist error

Changes in 0.1.43 - 17 Feb 2010
- fixed bug in CRC check on copy

Changes in 0.1.42 - 16 Feb 2010
- fixed bug on reading CDROOM/NETWORK/DEVICE -- hard error v1.38+
- fixed bug in Egaline -- video mode was corrupted on exit in some cases
- changed the Open File functions -- network error

Changes in 0.1.41 - 30 Des 2009
- changed panel layout -- Long Detail View
- changed init defaults -- LFN removed as default

Changes in 0.1.40 - 13 Des 2009
- fixed bug in F3 (view) -- loaded filename as "filename"
- fixed bug in F4 (edit) -- loaded "long filename" as long filename
- fixed bug in File Search -- scan continue after max hit
- added directories to Ctrl-Enter
- changed the behavior of the %find% macro

Changes in 0.1.39 - 10 Des 2009
- fixed bug in Filter -- didn't work..
- fixed bug in Ctrl-I -- Directory size
- added option Use Beep to System Options
- changed the behavior of the command line

Changes in 0.1.38 - 07 Des 2009
- fixed bug in read -- archive bit not set (long filenames)
- fixed bug in swap panels -- active cell not updated
- fixed bug in switch -v (verbose)
- fixed bug in progress indicator
- fixed bug in CRC check on copy
- fixed bug in decompress on user break -- left a file open
- fixed bug in copy -- date and time corrupted (short filenames)
- fixed bug in selected text -- clipboard
- fixed bug in search hex
- fixed bug in search on user break -- continued
- fixed bug in mouse functions -- hard error
- fixed sort functions -- same file active after sort
- fixed Ctrl-Enter -- added a space after filename
- added option Esc Toggle panels to Config dialog
- added dialog System Options to Config dialog
- added option Sort directories to Panel dialog
- added pre-selected default text to dialogs
- added options Exclude location to File Search->Save
- added options Convert to Unix to File Search->Save
- added context help to File Search and Filter
- added keys to File Search:
-- added key F1 Help
-- added key F2 Save
-- ----- key F3 View
-- ----- key F4 Edit (exit)
-- added key F5 Filter edit
-- added key F6 Toggle hex/ascii search
-- added key F7 Start a new search
-- added key F8 Delete file from list
-- added key Delete
-- added key F9 Load file-mask from dz.ini

Changes in 0.1.37 - 10 Oct 2009
- added 'multi-mask' to File Search
- added 'multi-mask' to History
- added searchstring to History
- added updated library source
- fixed bug in Clipboard
- fixed bug in Move Dialog (mouse)
- added key F4 to File Search (Edit)

Changes in 0.1.36 - 04 Sep 2009
- fixed bug in Command Line (Ctrl-Ins)
- fixed bug in ClipboardCopy (Ctrl-Ins)
- fixed bug in Doskey (Ctrl-Up)
- fixed bug in Read-count (2000 --> 3000)
- fixed bug in Decompress dialog (cosmetic)
- fixed bug in Filters [Load] (Mouse)
- fixed bug in Calendar (cosmetic)
- fixed bug in Text View (Copy)
- fixed bug in TVIEW.EXE /m (View Memory)
- fixed bug in TVIEW.EXE (Search)
- added key Ctrl-Tab to File Search
- added history log to current directory
- added key Alt-Left to History (Prev)
- added key Alt-Right to History (Next)

Changes in 0.1.35 - 27 May 2009
- fixed bug in Init Drive (CD-ROOM)

Changes in 0.1.34 - 15 May 2009
- fixed bug in Delete Directory: ESC/Cancel == Ok!!

Changes in 0.1.33 - 14 May 2009
- fixed bug in Select Disk (W95/W98)

Changes in 0.1.32 - 12 May 2009
- fixed bug in Help (F1+F1)
- fixed bug in User Screen (Ctrl-B)
- fixed bug in File Search (DOS)
- fixed bug in Unzip (Imploded files)
- fixed bug in Copy (Progress info)
- fixed bug in Select Disk
- added short key Ctrl-K Toggle Key Bar
- added short key Ctrl-X Toggle Menu Bar
- added short key Alt-Up/Down Resize Panels

Changes in 0.1.31 - 18 Jan 2009
- added Unsorted view to Panels/Menus
- added short key Ctrl-U to Unsorted
- moved short key Ctrl-U to Ctrl-W
- changed the function Directory Information
- added short key Ctrl-I Current Directory Information
- added some cosmetic changes to the Menus

Changes in 0.1.30 - 08 Jan 2009
- added User Screen (Ctrl-B)
- fixed some bug in Text View
- added short key Ctrl-End (End of line) in Text View
- added switch /M (view memory) to TVIEW
- added Volume Information
- added Clipboard functions
- added Calendar
- added switch -scsDOS to 7-Zip config

Changes in 0.1.29 - 05 May 2008
- changed the main loop to enhance performance under multitasking
  (High CPU utilization) int  MS Windows, DPMI, various
  2F1680: RELEASE CURRENT VIRTUAL MACHINE TIME-SLICE

Changes in 0.1.28 - 12 May 2007
- fixed bug in Egaline
- fixed bug in Panels on Open/Close
- added some cosmetic changes to the Panels

Changes in 0.1.27 - 09 May 2007
- added support for reading Network Directories
- added support for Copy/Delete/Unzip to Network
- added section [Directory] to config file
- added shortkey Ctrl-[0..9] to Directories
- added Change Directory to Panel Filter
- added Load Directory to Panel Filter
- fixed bug in Dialog Tools

Changes in 0.1.26 - 07 May 2007
- fixed bug in Egaline (toggle 50/25 lines)
- added shortkey Alt-F9 to Egaline
- changed History and doskey functions

Changes in 0.1.25 - 05 May 2007
- fixed bug in Command Line: input deleted on path change
- fixed bug in History: doskey buffer not flushed on exit
- shortkey mixup in History: Ctrl-Up=Down, Ctrl-Down=Up
- fixed bug in View: if selected files in panel

Changes in 0.1.24 - 02 May 2007
- fixed bug in File Panels: Selected Files
- added Selected Size to Directory Information

Changes in 0.1.23 - 29 Apr 2007
- fixed bug in Copy: [Cancel/Continue]
- added memory to io-functions (Read/Write)
- added visual update in File Copy

Changes in 0.1.22 - 27 Apr 2007
- fixed bug in Change Drive in Panels

Changes in 0.1.21 - 27 Apr 2007
- fixed Command-line switch /V (verbose): always on
- fixed default Read count in Panels
- added Command-line argumets to File Search

Changes in 0.1.20 - 25 Apr 2007
- added Quick Search to panels

Changes in 0.1.19 - 25 Apr 2007
- fixed bug in Environment translated by the commander

Changes in 0.1.18 - 24 Apr 2007
- added mutiple Include/Exclude in Compress

Changes in 0.1.17 - 22 Apr 2007
- added Command Line info to Setup
- fixed bug in Compress Dialog: Filter
- fixed bug in Unzip

Changes in 0.1.16 - 20 Apr 2007
- changes made to Macro !.! (filename.ext)
- changed Hot-key Tools to Alt-[0..9]
- added Reload function to Setup: Color
- added support for Enviroment variables in WinXP
- added support for response batch-file: WinXP
- added switch /O<offset> in TVIEW

Changes in 0.1.15 - 17 Apr 2007
- added macro %VIEW%, %EDIT% and %FIND%

Changes in 0.1.14 - 12 Apr 2007
- fixed Decompress - autoselect file type
- added Dialog History --> Alt+F8

Changes in 0.1.13 - 09 Apr 2007
- updated shortkeys in Menus/Status line
- fixed mouse-bug in Menus functions

Changes in 0.1.12 - 08 Apr 2007
- added/changed Shortkey Table
- Esc          --> Clear Command Line
- F10          --> Exit
- Alt-X        --> Quit
- Ctrl+Up|Dowm --> doskey
- Ctrl+PgUp    --> Updir
- Ctrl+Enter   --> Paste current file to Command Line

Changes in 0.1.11 - 06 Apr 2007
- fixed bug in Decompress..

Changes in 0.1.10 - 05 Apr 2007
- added Include/Exclude filter in Compress
- added option Password to Compress
- added option Fast|Best|Auto to Compress
- added new options to config file
- added Load/Save color in Screen Setup

Changes in 0.1.09 - 04 Apr 2007
- updated GPL to v2
- fixed function Move Dialog: Rename
- changed INI section [Tools]: 0x01= --> 00=
- added command line info to DZMAIN
- added access to README.TXT in Dialog Help
- fixed cursor in Menus/Dialog
- changed Panel Filters
- changed Text Edit: Ctrl+Rigth --> nextword()
- changed background color on selected files, cursor off

Changes in 0.1.08 - 01 Apr 2007
- added Ctrl+U --> Swap Panels
- added Ctrl+C --> Compare Directories
- fixed exec functions: if (exe == 32-bit) --> use system call

Changes in 0.1.07 - 30 Mar 2007
- added code to handle additional archives
- Ctrl+V --> Ctrl+H - (hidden files)
- Ctrl+U --> Ctrl+R - (Update to Re-read)

Changes in 0.1.06 - 28 Mar 2007
- added support for 7-zip from command line
- added new configuration for 7-zip

Changes in 0.1.05 - 23 Mar 2007
- fixed Date and Time on copy() and unzip()
- fixed Ctrl-key: Menus Line
- added switch /C<config_path>

Changes in 0.1.04 - 22 Mar 2007
- added cmquit(): Alt+X - no questions asked..
- fixed bug in zip_ffindlocal(): strncmp() --> strnicmp()
- added dealloc in loop and reversed direction in unzip()
- added mouse-wait on Menus
- fixed Recursive error in Compress
- adden version check to config file
- fixed bug in Search: Continue/Cancel
- fixed bug in LFN directory read: set to Creation Date

Changes in 0.1.03 - 20 Mar 2007
- added increased hit count in File Search
- added increased read count in unzip() - MAXOBJ to 5000
- added USERABORT to loop in unzip()
- added Copy action is cancellable: ER_USERABORT
- fixed bug in Confirm Continue
- fixed bug in return code from ermsg()
- fixed bug in wcenter() - added zero string check in loop
- fixed Short-key table: ESC on zero-sized files (TVIEW)
- added support for response files: PKZIP, ARJ, ..
- added Compression configuration | compress() | decompress()
- changed INI entries from hex to decimal
- added support for date input: [dd.mm.yy | yyyy] | [mm/dd/yy | yyyy]
- fixed Menus (was movable)
- fixed Short Key - Shift/Alt/Ctrl in Edit | View
- added support for 7-zip: DZ.INI --> [Packer]

Changes in 0.1.02 - 12 Mar 2007
- added make_batch(): Save Search Result to file
- added Binary View to TVIEW
- fixed Command Line Input [~:]
- removed menus hook-up on Alt-Right (Gray)
- fixed Filter in File Search

Changes in 0.1.01 - 07 Mar 2007
- added Filter on Panels
- added Filter on File Search
